Loading...
Searching...
No Matches
MessageIdManager Class Reference

`#include <messageidmanager_p.h>`

## Static Public Member Functions

static MessageIdType | registerMethod (const QString &method)
static QString | lookupMethod (const MessageIdType &id)

## Detailed Description

The MessageIdManager class provides a static lookup table that is used to identify replies to JSON-RPC requests.

## Member Function Documentation

## registerMethod()

MessageIdType registerMethod | ( | const QString & | method | ) |

static

Request a new message id that is associated with method. The new id and method will be registered in the lookup table.

Returns
  The assigned message id.

## lookupMethod()

QString lookupMethod | ( | const MessageIdType & | id | ) |

static

Determine the method associated with the id.

Note
  This removes the id from the internal lookup table.

Returns
  The method associated with the given id.